/**
 * Copyright 2009 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS-IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import("sqlbase.sqlobj");
import("sqlbase.sqlcommon");
import("etherpad.utils.isPrivateNetworkEdition");

function run() {
  if (isPrivateNetworkEdition()) {
    return;
  }

  sqlobj.createTable('eepnet_signups', {
    id: 'INT NOT NULL '+sqlcommon.autoIncrementClause()+' PRIMARY KEY',
    email: 'VARCHAR(128) NOT NULL UNIQUE',
    date: 'TIMESTAMP',
    signupIp: 'VARCHAR(16)',
    fullName: 'VARCHAR(255) NOT NULL',
    orgName: 'VARCHAR(255) NOT NULL',
    jobTitle: 'VARCHAR(255) NOT NULL',
    estUsers: 'VARCHAR(255) NOT NULL',
    licenseKey: 'VARCHAR(1024) NOT NULL'
  });
}

